#ifndef XANIMPARTTRANSDATA_H
#define XANIMPARTTRANSDATA_H

#include "xasset.h"
#include "xanimparttransframes.h"

class XAnimPartTransData : public XAsset
{
public:
    explicit XAnimPartTransData();
    ~XAnimPartTransData();

    void ParseData(QDataStream *aStream) override;

    // Option 1: Frames data
    const XAnimPartTransFrames& GetFrames() const;
    void SetFrames(const XAnimPartTransFrames& frames);

    // Option 2: Frame0 data
    const float* GetFrame0() const;
    void SetFrame0(const float* frame0, size_t count = 3);

private:
    union {
        XAnimPartTransFrames mFrames;
        float mFrame0[3] = {0.0f, 0.0f, 0.0f};
    };
};

#endif // XANIMPARTTRANSDATA_H



